package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源策略对象 adm_op_energy_strategy
 *
 * @author ruoyi
 * @date 2024-08-08
 */
public class OpEnergyStrategy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 策略代码 */
    @Excel(name = "策略代码")
    private String strategyCode;

    /** 策略名称 */
    @Excel(name = "策略名称")
    private String strategyName;

    /** 策略描述 */
    @Excel(name = "策略描述")
    private String strategyDesc;

    /** 1:源网协调，2：源荷互动 */
    @Excel(name = "1:源网协调，2：源荷互动")
    private Integer strategyType;

    /** 0：固定策略 1：规则引擎 2：定时执行（cron）99：手动执行 */
    @Excel(name = "0：固定策略 1：规则引擎 2：定时执行", readConverterExp = "c=ron")
    private Integer execMode;

    /** 执行规则 */
    @Excel(name = "执行规则")
    private String execRule;

    /** 允许修改标记 */
    @Excel(name = "允许修改标记")
    private Integer allowModify;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStrategyCode(String strategyCode)
    {
        this.strategyCode = strategyCode;
    }

    public String getStrategyCode()
    {
        return strategyCode;
    }
    public void setStrategyName(String strategyName)
    {
        this.strategyName = strategyName;
    }

    public String getStrategyName()
    {
        return strategyName;
    }
    public void setStrategyDesc(String strategyDesc)
    {
        this.strategyDesc = strategyDesc;
    }

    public String getStrategyDesc()
    {
        return strategyDesc;
    }
    public void setStrategyType(Integer strategyType)
    {
        this.strategyType = strategyType;
    }

    public Integer getStrategyType()
    {
        return strategyType;
    }
    public void setExecMode(Integer execMode)
    {
        this.execMode = execMode;
    }

    public Integer getExecMode()
    {
        return execMode;
    }
    public void setExecRule(String execRule)
    {
        this.execRule = execRule;
    }

    public String getExecRule()
    {
        return execRule;
    }
    public void setAllowModify(Integer allowModify)
    {
        this.allowModify = allowModify;
    }

    public Integer getAllowModify()
    {
        return allowModify;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("strategyCode", getStrategyCode())
            .append("strategyName", getStrategyName())
            .append("strategyDesc", getStrategyDesc())
            .append("strategyType", getStrategyType())
            .append("execMode", getExecMode())
            .append("execRule", getExecRule())
            .append("allowModify", getAllowModify())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
